import App from './App'

//引入uView-ui组件库（注意这两行要放在 import Vue 之后）
import uView from 'uview-ui'
import { apiService, toast } from "./service/request.js"
Vue.use(uView)

Vue.prototype.$apiServe = apiService
Vue.prototype.$toast= toast

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif